##### GENERAL STUFF #####
%define version    1.02
%define release    %mkrel 1

Name:    nimuh-data
Summary:  Data-files for Nimuh
Version:  %{version}
Release:  %{release}
License:  CC-BY-NC-SA
URL:    http://www.nimuh.com/
Group:    Games/Puzzles
Source0:  %{name}-%{version}.tar.bz2
BuildRequires:  ImageMagick
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION #####
%description
Game-data for Nimuh

Authors: caninoStudios <http://www.caninostudios.net/>


##### PREP #####
%prep
%setup -q


##### BUILD #####
%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make


##### INSTALL #####
%install
rm -rf %{buildroot}
%makeinstall_std

# Icons for rpmlint
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert -scale 16x16 data/animation/zergplanet.png %{buildroot}/%{_miconsdir}/nimuh.png
convert -scale 32x32 data/animation/zergplanet.png %{buildroot}/%{_iconsdir}/nimuh.png
convert -scale 48x48 data/animation/zergplanet.png %{buildroot}/%{_liconsdir}/nimuh.png



##### CLEAN #####
%clean
rm -rf %{buildroot}



##### POST & POSTUN  #####
%post
%postun



##### FILE LIST #####
%files
%defattr(-,root,root)

%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_iconsdir}/*

%{_gamesdatadir}/nimuh/data/*.png
%{_gamesdatadir}/nimuh/data/*.xml

%{_gamesdatadir}/nimuh/data/adventure
%{_gamesdatadir}/nimuh/data/animation
%{_gamesdatadir}/nimuh/data/board
%{_gamesdatadir}/nimuh/data/createmissions
%{_gamesdatadir}/nimuh/data/cursors
%{_gamesdatadir}/nimuh/data/editgame
%{_gamesdatadir}/nimuh/data/endlevel
%{_gamesdatadir}/nimuh/data/enemy1
%{_gamesdatadir}/nimuh/data/enemy2
%{_gamesdatadir}/nimuh/data/enemy3
%{_gamesdatadir}/nimuh/data/fonts
%{_gamesdatadir}/nimuh/data/help
%{_gamesdatadir}/nimuh/data/interface
%{_gamesdatadir}/nimuh/data/main_menu
%{_gamesdatadir}/nimuh/data/maps
%{_gamesdatadir}/nimuh/data/menu
%{_gamesdatadir}/nimuh/data/misc
%{_gamesdatadir}/nimuh/data/nimuh
%{_gamesdatadir}/nimuh/data/objects
%{_gamesdatadir}/nimuh/data/particles
%{_gamesdatadir}/nimuh/data/scenary
%{_gamesdatadir}/nimuh/data/sound
%{_gamesdatadir}/nimuh/data/town_info
%{_gamesdatadir}/nimuh/data/windows



##### CHANGELOG #####
%changelog
* Mon Oct 20 2008 Oliver Burger <rpm@mandrivauser.de> 1.02-1mud2009.0
- Rebuild for 2009.0

* Wed Apr 16 2008 Oliver Burger <rpm@mandrivauser.de> 1.02-1mud2008.1
- rebuild for 2008.1

* Tue Feb 12 2008 Oliver Burger <rpm@mandrivauser.de> 1.02-1mud2008.0
- rebuild for MUde

* Sun Feb 10 2008 MaxiPunkt <email@domain.de> 1.02-1max
- First built for Mandriva
